> ## Documentation Index
> Fetch the complete documentation index at: https://talvinai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Responses

> Returns all responses that the organization has received.



## OpenAPI

````yaml GET /responses
openapi: 3.1.0
info:
  title: Talvin API
  description: >-
    Talvin API provides endpoints for managing interviews, responses, and
    subscriptions to events.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.talvin.ai/api/v1
security:
  - talvinApiKey: []
    talvinOrgId: []
paths:
  /responses:
    get:
      description: Returns all responses that the organization has received.
      parameters: []
      responses:
        '200':
          description: Response data
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ResponseItem'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ResponseItem:
      type: object
      required:
        - id
        - created_at
        - name
        - email
        - call_id
        - duration
        - interview
      properties:
        id:
          type: integer
          description: Unique identifier for the response
        created_at:
          type: string
          format: date-time
          description: Timestamp when the response was created
        name:
          type: string
          description: Name of the respondent
        email:
          type: string
          format: email
          description: Email address of the respondent
        call_id:
          type: string
          description: Unique identifier for the call session
        duration:
          type: integer
          description: Duration of the interview in minutes
        interview:
          $ref: '#/components/schemas/ResponseInterview'
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    ResponseInterview:
      type: object
      required:
        - id
        - name
        - organization_id
      properties:
        id:
          description: Unique identifier for the interview
          type: string
        name:
          description: Name of the interview
          type: string
        organization_id:
          type: string
          description: Identifier of the organization that owns the interview
  securitySchemes:
    talvinApiKey:
      type: apiKey
      in: header
      name: X-TALVIN-API-KEY
    talvinOrgId:
      type: apiKey
      in: header
      name: X-TALVIN-ORGANIZATION-ID

````